[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# AnsiReplaceText

Search and replace all occurrences of a string, case insensitive.

## Declaration

Source position: strutils.pp line 33

`function AnsiReplaceText(`
`const AText: string;`
`const AFromText: string;`
`const AToText: string`
`):string;`

## Arguments

`AText` |  | String in which to search and replace.
`AFromText` |  | String to search for
`AToText` |  | String to replace with

## Function result

Result of the search and replace operation.

## Description

AnsiReplaceString searches AText for all occurrences of the string AFromText and replaces them with AToText , and returns the resulting string. The search is performed ignoring case.

## Errors

None.

## See also

AnsiReplaceStr |  | Search and replace all occurrences of a string, case sensitive.
SearchBuf |  | Search a buffer for a certain string.